# Check Allocation

{% hint style="info" %}
An API Key is required to interact with Launchpad APIs. Please contact us to get an API Key and get started.
{% endhint %}

Use this endpoint to check a wallet's allocation and claims for the launch.

### `POST` /launchpad/get-allocation

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/launchpad/get-allocation`

API Key is required in the header:

`headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }`

Example Request Body, this will get the allocation and claimed details for a buyer:

```json
{
  "launchpadId": "65a123b789cdef0123456789",
  "buyerOrdinalAddress": "bc1pdtkxdpunmu9rfj7tcglt4kcg2qya8w4y4cxhqcy9fscqnwdk8c7q6ec2w3"
}
```

#### Request Body

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>launchpadId
</code></pre></td><td>String</td><td>Launchpd id</td></tr><tr><td><pre><code>buyerOrdinalAddress
</code></pre></td><td>String</td><td><p>Wallet address of a prospective buyer</p><p></p></td></tr></tbody></table>

### Response

Response contains an array of phases with allocation count as well as clained count for that phase.

{% tabs %}
{% tab title="200: OK " %}

```json

 {
  "phases": [
    {
      "id": "65a123b789cdef0123456790",
      "public": false,
      "allocation": "5",
      "inscriptionsClaimed": 1
    },
    {
      "id": "65a123b789cdef0123456791",
      "public": true
    }
  ]
}

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/preinscribedlaunchpad/check-allocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
